Loading...
Searching...
No Matches
Ogre::PCZoneFactory Class Referenceabstract

Factory for PCZones. More...

`#include <OgrePCZoneFactory.h>`

Inheritance diagram for Ogre::PCZoneFactory:
[legend]

## Public Member Functions

| PCZoneFactory (const String &typeName)
virtual | ~PCZoneFactory ()
virtual PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneName)=0
const String & | getFactoryTypeName () const
virtual bool | supportsPCZoneType (const String &zoneType)=0

## Public Attributes

String | mFactoryTypeName
| Factory type name.

## Detailed Description

Factory for PCZones.

## Constructor & Destructor Documentation

## PCZoneFactory()

Ogre::PCZoneFactory::PCZoneFactory | ( | const String & | typeName | ) |

## ~PCZoneFactory()

virtual Ogre::PCZoneFactory::~PCZoneFactory | ( |  | ) |

virtual

## Member Function Documentation

## supportsPCZoneType()

virtual bool Ogre::PCZoneFactory::supportsPCZoneType | ( | const String & | zoneType | ) |

pure virtual

Implemented in Ogre::DefaultZoneFactory, and Ogre::OctreeZoneFactory.

## createPCZone()

virtual PCZone * Ogre::PCZoneFactory::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneName )

pure virtual

Implemented in Ogre::DefaultZoneFactory, and Ogre::OctreeZoneFactory.

## getFactoryTypeName()

const String & Ogre::PCZoneFactory::getFactoryTypeName | ( |  | ) | const

inline

References mFactoryTypeName.

## Member Data Documentation

## mFactoryTypeName

String Ogre::PCZoneFactory::mFactoryTypeName

Factory type name.

Referenced by getFactoryTypeName().

The documentation for this class was generated from the following file:

- OgrePCZoneFactory.h